Bug 837907 - PRD32 - RFE: Add support for iLO2 and iLO4 as a fencing (Power Management) options [TEXT]
PRD32 - RFE: Add support for iLO2 and iLO4 as a fencing (Power Management) o...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.0.0
All Unspecified
unspecified Severity medium
: ---
: 3.2.0
Assigned To: Eli Mesika
Tareq Alayan
infra
: FutureFeature, Improvement
Depends On:
Blocks: Simon-RFE-Tracker 889061 915537
  Show dependency treegraph
 
Reported: 2012-07-05 15:29 EDT by Linda Knippers
Modified: 2016-04-27 00:26 EDT (History)
15 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
iLO2 and iLO4 fencing agents for configuring host power management are included as a technology preview.
Story Points: ---
Clone Of:
: 889061 (view as bug list)
Environment:
Last Closed: 2013-06-10 17:05:06 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
dyasny: Triaged+


Attachments (Terms of Use)
screen shot of power management configuration (199.34 KB, image/png)
2012-07-05 15:29 EDT, Linda Knippers
no flags Details

  None (edit)
Description Linda Knippers 2012-07-05 15:29:33 EDT
Created attachment 596485 [details]
screen shot of power management configuration

Description of problem:
The Power Management options presented in RHEV-M include ilo and ilo3 but not iLO2 (which works like the original ilo) or iLO4 (which works like iLO3).  

Please add iLO2 and more importantly, iLO4 as options.

Version-Release number of selected component (if applicable):
RHEV 3.0

How reproducible:
Always

Steps to Reproduce:
1. Add a host and configure power management.  
2.
3.
  
Actual results:
Notice that ilo and ilo3 are the only ilo* options.  (See attachment)

Expected results:
Would like to see iLO, iLO2, iLO3 and iLO4 as options.  Bonus points for 
fixing the capitalization if possible.

iLO2 should have the same configuration options as iLO.  
iLO4 should have the same configuration options as iLO3.

Perhaps these can be provided as just two options: 
iLO/iLO2 and iLO3/iLO4.

Additional info:

There should be no new iLO versions for a while. :-)
Comment 1 Itamar Heim 2012-07-06 08:28:46 EDT
i'm for just fixing the text.
though need to verify if this means something during upgrade, or just display name.
need to consider rest api backward compatibility for names if relevant.

perry - any thoughts/considerations from your side?
Comment 2 Itamar Heim 2012-07-08 04:32:02 EDT
note: may be easier to just add in the config ilo2 and ilo4 to avoid upgrade and backward compatibility
Comment 3 Linda Knippers 2012-07-08 17:59:27 EDT
(In reply to comment #2)
> note: may be easier to just add in the config ilo2 and ilo4 to avoid upgrade
> and backward compatibility

Works for me.  It might also be better in case we uncover an incompatibility or optimization that only applies to one flavor down the road.
Comment 4 Perry Myers 2012-07-09 14:10:25 EDT
(In reply to comment #1)
> i'm for just fixing the text.
> though need to verify if this means something during upgrade, or just
> display name.
> need to consider rest api backward compatibility for names if relevant.
> 
> perry - any thoughts/considerations from your side?

Since iLO2 and iLO have the same config and usage of fence_ilo and iLO3/iLO4 have the same config/usage of fence_ipmilan, I think you are correct in suggesting that this could simply be a cosmetic change to the drop down box.

However if changing the display name generates issues with backward compat, I also see no issue in introducing two new items in the drop down for iLO2 and iLO4
Comment 5 Eli Mesika 2012-10-10 10:02:25 EDT
I suggest to

1) Add iLo2 and iLo4 as new entries 
2) We have the infrastructure to map iLo4 to iLo3 and iLo2 to iLo, this is exactly how we implemented iLo3 via ipmilan

This way, the whole change will be in the configuration settings (0000config.sql) and will be backward compatible.

please approve
Comment 6 Linda Knippers 2012-10-10 10:28:27 EDT
Sounds good to me.  Thanks.
Comment 7 Eli Mesika 2012-10-11 05:32:19 EDT
http://gerrit.ovirt.org/#/c/8492/
Comment 8 Yaniv Kaul 2012-12-09 02:38:19 EST
(In reply to comment #6)
> Sounds good to me.  Thanks.

Linda, will you be able to test it? I'm not sure we have either in our labs (we have iLO3).
Comment 9 Linda Knippers 2012-12-10 09:59:40 EST
I'm traveling this week but I should be able to test it when I'm back.  I just need to know where/how to get the bits.  Can I just test the patched file or do I need to update everything?

-- ljk
Comment 10 Yaniv Kaul 2012-12-10 13:55:29 EST
QA_ACK+ - HP can test it.
Comment 11 Eli Mesika 2012-12-16 15:02:49 EST
fixed in commit : 154ac74
Comment 12 Tareq Alayan 2013-02-11 10:40:17 EST
see comment 10.
cannot be verified in our lab.
Comment 13 Cheryn Tan 2013-04-03 02:50:51 EDT
This bug is currently attached to errata RHEA-2013:14491. If this change is not to be documented in the text for this errata please either remove it from the errata, set the requires_doc_text flag to minus (-), or leave a "Doc Text" value of "--no tech note required" if you do not have permission to alter the flag.

Otherwise to aid in the development of relevant and accurate release documentation, please fill out the "Doc Text" field above with these four (4) pieces of information:

* Cause: What actions or circumstances cause this bug to present.

* Consequence: What happens when the bug presents.

* Fix: What was done to fix the bug.

* Result: What now happens when the actions or circumstances above occur. (NB: this is not the same as 'the bug doesn't present anymore')

Once filled out, please set the "Doc Type" field to the appropriate value for the type of change made and submit your edits to the bug.

For further details on the Cause, Consequence, Fix, Result format please refer to:

https://bugzilla.redhat.com/page.cgi?id=fields.html#cf_release_notes

Thanks in advance.
Comment 14 Linda Knippers 2013-05-31 11:12:51 EDT
Sorry, just got back from being away for several weeks and saw the request to test this change.  I can test the change but in the meantime, changing the support to tech preview makes no sense.  Even without this change, iLO2 and iLO4 were supported, they just didn't have their own pulldown menu options.  Instead, one had to select iLO to get iLO2 or select iLO3 to get iLO4 support.  This change only adds the explicit menu options.
Comment 15 Simon Grinberg 2013-06-04 09:36:35 EDT
(In reply to Linda Knippers from comment #14)
> Sorry, just got back from being away for several weeks and saw the request
> to test this change.  I can test the change but in the meantime, changing
> the support to tech preview makes no sense.  Even without this change, iLO2
> and iLO4 were supported, they just didn't have their own pulldown menu
> options.  Instead, one had to select iLO to get iLO2 or select iLO3 to get
> iLO4 support.  This change only adds the explicit menu options.

This is going into the online release notes and not to the packaged release notes. If you can test it in the next 5 days we'll probably be able to prevent even transient mention of this tech-preview state.
Comment 16 Linda Knippers 2013-06-06 11:33:14 EDT
We have verified iLO3 and iLO4.  iLO worked before as should have been unchanged.  I'm looking for someone to try iLO2.
Comment 17 errata-xmlrpc 2013-06-10 17:05:06 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0888.html

Note You need to log in before you can comment on or make changes to this bug.